# convertdroplets.config
# config file for the "Convert to" droplets
# krpano tools 1.0.8.14
#

[Convert SPHERE to CUBE]
cubeformat=CUBE
cubesize=auto
outputformat=jpg
tiffcompress=lzw
jpegquality=85
jpegsubsamp=422
jpegoptimize=true
fast=false
tempdir=%INPUTPATH%/%BASENAME%.tiles/c.jpg
[Convert CUBE to SPHERE]
spheresize=auto
outputformat=jpg
tiffcompress=lzw
jpegquality=85
jpegsubsamp=444
jpegoptimize=false
fast=false


#------------------------------------------------------------------------------
# convertdroplets.config settings documentation:
#
# * cubeformat (SPHERE to CUBE only)
#   - the destination cube format
#   - possible settings:
#       CUBE = standard 6 separated cube side images
#       VCUBE = vertical cube imagestrip
#       HCUBE = horizontal cube imagestrip
#       CUBE32 = 3x2 cube imagestrip
#       CUBE23 = 2x3 cube imagestrip
#
# * cubesize (SPHERE to CUBE only)
#   - output cube size [cubesize]
#   - width or height of a cube side
#   - use "auto" for automatic using: 
#            cubesize = spherewidth / PI
#
# * spheresize (CUBE to SPHERE only)
#   - output sphere size [width]x[height] 
#   - use "auto" for automatic using: 
#            spherewidth  = cubesize * PI
#            sphereheight = spherewidth/2
#
# * outputformat
#   - the output image fileformat 
#   - supported image fileformats:
#      - kro             = Kolor RAW (no limits, default)
#      - tif,tiff        = TIFF (max. filesize 4GB)
#      - btf,tf8,bigtiff = BigTIFF (no limits)
#      - psd             = Photoshop Document (max. size 30000x30000)
#      - psb             = Photoshop Big Document (max. size 300000x300000)
#      - jpg,jpeg        = JPEG (max. size 30000x30000)
#
# * tiffcompress
#   - the tiff compressionen method (only for tiff or bigtiff outputs)
#   - possible settings: none, lzw, zip or jpeg
#
# * jpegquality
#   - the jpeg compression quality (only for jpeg or tiff/jpeg outputs)
#   - from 0 (worst quality/smallest file) to 100 (best quality/biggest file)
#
# * jpegsubsamp
#   - jpeg color subsampling to reduce file size
#   - more informations: http://en.wikipedia.org/wiki/Chroma_subsampling
#   - possible values:
#     444 = no color subsampling                              (best quality)
#     422 = 1/2 horizontal color subsampling                  (good compromise)
#     420 = 1/2 horizontal and vertical color subsampling     (the jpeg default)
#     411 = 1/4 horizontal and 1/2 vertical color subsampling (smallest)
#
# * jpegoptimize
#   - optimize the jpeg huffman compression tables
#   - can result a smaller image but requires much more memory and it is slower
#   - if memory usage is critical (on very large images) it should be disabled
#
# * fast
#   - faster but lower quality converting (e.g. use for quick previews)
#   - only linear interpolation, no subsampling on reducing
#   - settings:
#      - false (default)
#      - true
#
